Foxit PDF SDK

Class Methods | List of all members
FSFormCombination Class Reference
Inheritance diagram for FSFormCombination:

## Class Methods
(void) | + combineFormsToCSV:dest_csv_file:append:
| Combine form data and export these data to a CSV file. More...
(void) | + combineFormsToCSVWithStreamCallback:dest_csv_file:append:
| Combine form data and export these data to a CSV file. More...

## Detailed Description

This class is used to combine form data from several files and export combined form data to spreadsheet.

## Method Documentation

## ◆ combineFormsToCSV:dest_csv_file:append:()

+ (void) combineFormsToCSV: |  | (FSFormFileInfoArray*) | form_file_array
dest_csv_file: |  | (NSString *) | dest_csv_file
append: |  | (BOOL) | append

Combine form data and export these data to a CSV file.

Parameters

  [in] | form_file_array | A form file information array. This array contains information of source form files whose form data are to be combined.
  [in] | dest_csv_file | A full path of a CSV file, to which combined result will be saved to. This should not be an empty string.
  [in] | append | A boolean value used to decide whether combined form data is appended to the CSV file if the CSV file exists: YES means to append combined form data to an existed CSV file, while NO means not.

Returns
  None.

## ◆ combineFormsToCSVWithStreamCallback:dest_csv_file:append:()

+ (void) combineFormsToCSVWithStreamCallback: |  | (FSFormFileInfoArray*) | form_file_array
dest_csv_file: |  | (id<FSFileStreamCallback>) | dest_csv_file
append: |  | (BOOL) | append

Combine form data and export these data to a CSV file.

Parameters

  [in] | form_file_array | A form file information array. This array contains information of source form files whose form data are to be combined.
  [in] | dest_csv_file | A FSFileStreamCallback object which is implemented by user to save combined form data to a CSV file. This should not be nil. Please do not use append mode in writing callback functions.
  [in] | append | A boolean value used to decide whether combined form data is appended to the CSV file if the CSV file exists: YES means to append combined form data to an existed CSV file, while NO means not.

Returns
  None.